Package: org.codehaus.groovy.ast.builder

## [Java] Class AstStringCompiler

- org.codehaus.groovy.ast.builder.AstStringCompiler

-     public class AstStringCompiler
      extends Object

  This class handles converting Strings to ASTNode lists.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<ASTNode>` | `compile(String script, CompilePhase compilePhase, boolean statementsOnly)` Performs the String source to List of ASTNode.
    `` | `public List<ASTNode>` | `compile(String script)` Performs the String source to List of statement ASTNode.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public List<ASTNode> compile(String script, CompilePhase compilePhase, boolean statementsOnly)

      Performs the String source to List of ASTNode.

      Parameters:
        `script` - a Groovy script in String form
        `compilePhase` - the int based CompilePhase to compile it to.
        statementsOnly
      Returns:
        List of ASTNode

    - #### public List<ASTNode> compile(String script)

      Performs the String source to List of statement ASTNode.

      Parameters:
        `script` - a Groovy script in String form
      Returns:
        List of statement ASTNode
      Since:
        3.0.0